;; Programa: Configuración del juego PlanTron para Presas con Rastro
;;
;; Asignatura: Inteligencia Artificial e Ingeniería del Conocimiento
;;             ETSII - ULL
;; Práctica: Búsquedas
;; Profesor: Patricio García (patricio AT etsii.ull.es)
;; Fecha:    26/09/2012
;; Comentarios:
;;           Establece las varaibles de pt.lisp necesarias
;;           para configurar al PlanTron en el juego Colonias:
;;           | Agentes    | Mov Cont | Rastro |
;;           |------------+----------+--------|
;;           | Herbivoro  | Sí       | Sí     |
;;           | Depredador | Sí       | No     |
;;           | Plantas    | -        | -      |
;;           |------------+----------+--------|
;;
;;
;; Modificaciones:
;;
;;           - Ver 0.1 (26/09/2012): Primera versión.
;;
;;

(in-package "PT")

(setf version-conf "preras-0.1")


;; Inicializamos variables de acuerdo a juego deseado

(setf pt-base:*juego* "PlanTron PreRas")
(setf pt-base:*ratio-ene-jug-ini* 0.5)
(setf pt-base:*mov-con* t)
(setf pt-base:*tam-col* t)
(setf pt-base:*pos-alea* nil)
(setf pt-base:*for-cab* 3)
(setf pt-base:*for-col* 1)
(setf pt-base:*prb-mov-cero* t)
(setf pt-base:*prb-mov-eini* t)
(setf pt:*rep* 1)

(setf *lis-nom-agentes-def* '("HUMANO"))
(setf *gen-pla* 1)
; dpdd-minmax
(setf *gen-dir* 1)
;
; Generación lista de resultados
;(setf res-ord #'>)
;(setf res-val #'(lambda (res) (/ (+ (second res) (third res)) (fourth res))))

; (setf fich-genplc "pt-agentes-genplc")
; (setf fich-genplc "pt-agentes-gendir")
